/**
 * BXITCD.java
 *
 * File generated from the datatypes::BXITCD uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.ips.datatypes;

// End of user code
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;

import org.w3c.dom.Document;
import org.w3c.dom.Node;


/**
 * Description of the class BXITCD.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BXIT_CD", propOrder = {
	"qty"
})
@XmlRootElement(name = "BXIT_CD")
public class BXITCD extends net.ihe.gazelle.ips.datatypes.CD implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	/**
	 *  The quantity in which the bag item occurs in its containing bag. .
	 */
	@XmlAttribute(name = "qty")
	@javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter(net.ihe.gazelle.adapters.IntegerAdapter.class)
	public Integer qty;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private Node _xmlNodePresentation;
	
	
	/**
	 * Return qty.
	 * @return qty :  The quantity in which the bag item occurs in its containing bag. 
	 */
	public Integer getQty() {
	    return qty;
	}
	
	/**
	 * Set a value to attribute qty.
	 * @param qty :  The quantity in which the bag item occurs in its containing bag. .
	 */
	public void setQty(Integer qty) {
	    this.qty = qty;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.ips.datatypes");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:hl7-org:v3", "BXIT_CD").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(BXITCD bXITCD, String _location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (bXITCD != null){
   			net.ihe.gazelle.ips.datatypes.CD.validateByModule(bXITCD, _location, cvm, diagnostic);
    	}
    }

}